CKEDITOR.plugins.add( 'posttemplate',{
	requires : ['richcombo'],
	init : function( editor )
	{
		var config = editor.config;
		editor.ui.addRichCombo( 'posttemplate',
		{
			label : "العبارات الجاهزة",
			title :"العبارات الجاهزة",
			className : 'cke_format',
			multiSelect : false,
			panel :
			{
				css : [ config.contentsCss, CKEDITOR.getUrl( editor.skinPath + 'editor.css' ) ]
			},

			init : function()
			{
				this.startGroup( "العبارات الجاهزة" );
				posttemplates_data = posttemplates_data.split(',');
				for (i = 0; i < posttemplates_data.length; i++) {
					var post = posttemplates_data[i].split('|');
					//this.add('value', 'drop_text', 'drop_label');
					if (post[0] == 'category') {
						this.add('','<h3 class="blockhead"> :: ' + post[1] + ' :: </h3>','تصنيف عبارات' );
					} else {
						this.add(post[2],post[1],post[1]);
					}
				}
			},

			onClick : function( value )
			{
				editor.focus();
				editor.fire( 'saveSnapshot' );
				editor.insertHtml(value);
				editor.fire( 'saveSnapshot' );
			}
		});
	}
});